﻿<div class="table-responsive responsive table_cart">
    <table id="assets-data-table-BP" class="table display" style="width:100%;"></table>
    <script type="text/javascript">
        var assetListBP;
        $(function () {
            assetListBP = {
                dtBP: null,
                init: function () {
                    dtBP = $('#assets-data-table-BP').DataTable({
                        "autoWidth": true,
                        "serverSide": true,
                        "processing": true,
                        "data": null,
                        "drawCallback": function (settings) {
                            $("#assets-data-table-BP").find("input:checked").each(function (i, ob) {
                                $(ob).parent().parent().addClass('selected');
                            });
                        },
                        "dom": '<"top"lp>rt<"bottom"ip>',
                        "select": {
                            "style": 'os',
                            "selector": 'td:first-child'
                        },
                        "ajax": {
                            "url": "/BPGroup/_BPListModal",
                            "type": 'POST',
                            "data": function (data) {
                                data.pCardCode = $("#searchCardCode").val();
                                data.pCardName = $("#searchCardName").val();
                                data.pPageKey = $("#Pagekey").val();
                                data.pIdCompany = $("#IdCompany").val();
                            }
                        },
                        "columns": [
                            {
                                "title": "", "data": null, "width": "110px", "orderable": false, "name": "CardCode",
                                "render": function (data, type, full, meta) {
                                    var mChecked = "";
                                    if (arrayObjectIndexOf(pSelectedBP, data.CardCode, "CardCode") != -1) {
                                        mChecked = "checked";
                                    }

                                    var mReturnValue = "<input type=\"checkbox\" id=\"CK_" + data.CardCode + "\" name=\"CK_" + data.CardName + "\" value=\"" + data.CardCode + "\" " + (data.BPGroupSelected == true ? "disabled=\"disabled\"" : "") + " onchange=\"AddOrRemoveSelectedBP('" + data.CardCode + "', '" + data.CardName + "', 'CK_" + data.CardCode + "')\" " + mChecked + ">";
                                    return mReturnValue;
                                }
                            },
                            { "title": "@BusinessPartners.Code", "data": "CardCode", "name": "CardCode" },
                            { "title": "@BusinessPartners.Name", "data": "CardName", "name": "CardName" },
                            {
                                "title": "@BusinessPartners.Type", "name": "CardType", "data": "CardType",
                                "render": function (data, type, full, meta) {
                                    switch (data) {
                                        case "C": return "@BusinessPartners.Customer"; break;
                                        case "S": return "@BusinessPartners.Vendor"; break;
                                        case "L": return "@BusinessPartners.Lead"; break;
                                        default: ""; break;
                                    }
                                }
                            }
                        ],
                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                    });
                },
                refresh: function () {
                    dtBP.ajax.reload();
                }
            }
        });
    </script>
</div>

